TUXPAINT(1)

NAME
tuxpaint -- "Tux Paint", a drawing program for young children.

SYNOPSYS
tuxpaint [--help --version --verbose-version --usage --copying]

tuxpaint
    [--fullscreen]
    [--allowscreensaver]
    [--WIDTHxHEIGHT]
    [--native]
    [--orient=portrait]
    [--startblank]
    [--nosound]
    [--noquit]
    [--noprint]
    [--printdelay=SECONDS]
    [--printcfg]
    [--altprintalways | --altprintnever]
    [--papersize PAPERSIZE | --papersize help]
    [--simpleshapes]
    [--uppercase]
    [--grab]
    [--noshortcuts]
    [--nowheelmouse]
    [--nobuttondistinction]
    [--nofancycursors]
    [--hidecursor]
    [--nooutlines]
    [--nostamps]
    [--nostampcontrols]
    [--nomagiccontrols]
    [--mirrorstamps]
    [--stampsize=SIZE]
    [--keyboard]
    [--nosysfonts]
    [--savedir DIR]
    [--datadir DIR]
    [--saveover]
    [--saveovernew]
    [--nosave]
    [--autosave]
    [--colorfile FILE]

tuxpaint (defaults)
    [--windowed]
    [--disablescreensaver]
    [--800x600]
    [--orient=landscape]
    [--startlast]
    [--sound]
    [--quit]
    [--print]
    [--printdelay=0]
    [--noprintcfg]
    [--altprintmod]
    [--complexshapes]
    [--mixedcase]
    [--dontgrab]
    [--shortcuts]
    [--wheelmouse]
    [--buttondistinction]
    [--fancycursors]
    [--showcursor]
    [--outlines]
    [--stamps]
    [--stampcontrols]
    [--magiccontrols]
    [--dontmirrorstamps]
    [--stampsize=default]
    [--mouse]
    [--sysfonts]
    [--saveoverask]
    [--save]
    [--noautosave]

tuxpaint
    [--locale LOCALE]

tuxpaint
    [--lang LANGUAGE | --lang help]

tuxpaint
    [--nosysconfig]
    [--nolockfile]

DESCRIPTION

Tux Paint is a drawing program for young children. It is meant to be easy and fun to use. It provides a simple interface and fixed canvas size, and provides access to previous images using a thumbnail browser (i.e., no access to the underlying filesystem). Unlike popular drawing programs like "The GIMP," it has a very limited toolset. However, it provides a much simpler interface, and has entertaining, child-oriented additions such as sound effects.

OPTIONS - INFORMATIONAL

--help
    Display short, helpful information about Tux Paint.

--version
    Output the version info.

--verbose-version
    Output the version info and compile-time build options.

--usage
    Display a list of all commandline options.

--copying
    Show the license (GNU GPL) under which Tux Paint is released.

OPTIONS - INTERFACE
tuxpaint accepts the following options to alter the interface. They can be used along with, instead of, or to override options set in configuration files. (See below.)

--fullscreen --windowed
    Run Tux Paint in full-screen mode, or in a window (default).

--allowscreensaver --disablescreensaver
    Normally, tuxpaint disables your screensaver. Use --allowscreensaver to prevent this from happening.

--native
    When in fullscreen mode, use the system's default screen resolution.

--WIDTHxHEIGHT
    Run Tux Paint in a particularly-sized window, or at a particular fullscreen resolution (if --native is not used). Default is 800x600. Minimum width is 640. Minimum height is 480. Portrait and landscape orientations are both supported. (Also see --orient, below.)

--orient=landscape --orient=portrait
    If --orient=portraitis set, asks Tux Paint to swap the WIDTH and HEIGHT values it uses for windowed or fullscreen mode, without having to actually change the WIDTH and HEIGHT values in the configuration file or on the command-line. (This is useful on devices where the screen can be rotated, e.g. tablet PCs.)

--nosound --sound
    Disable or enable (default) sound.

--noquit --quit
    Disable or enable (default) the on-screen Quit button and Escape key sequence for quitting Tux Paint. Instead, use the window close button in the titlebar, the Alt+F4 key sequence, or the Shift+Control+Escape key sequence.

--noprint --print
    Disable or enable (default) the Print command within Tux Paint.

--printdelay=SECONDS --printdelay=0
    Only allow printing (via the Print command) once every SECONDS seconds. Default is 0 (no limitation).

--printcfg --noprintcfg
    (Windows and Mac OS X only.) Enable or disable loading and saving of printer settings. By default, Tux Paint will print to the default printer with default settings. Pressing [ALT] while pushing the Print button will cause a printer dialog to appear (as long as you're not in fullscreen mode; see also --altprintalways and --altprintnever, below.) Unless --noprintcfg is used, your previous settings will be loaded when Tux Paint starts up, and setting changes will be saved for next time.

--altprintmod --altprintnever --altprintalways
    These options control whether an system printer dialog appears when the user clicks the Print button. By default (--altprintmod), pressing [ALT] while clicking Print will bring up a dialog (unless you're in fullscreen mode). With --altprintalways, the dialog will always appear, even if [ALT] is not being held. With --altprintnever, the dialog will never appear, even if [ALT] is being held.

--papersize PAPERSIZE
    (Only when PostScript printing is used - not Windows, Mac OS X or BeOS.) Ask Tux Paint to generate PostScript of a particular paper size. Valid sizes are those supported by libpaper. See papersize(5).

--simpleshapes --complexshapes
    Disable or enable (default) the rotation step when using the Shape tool within Tux Paint. When disabled, shapes cannot be rotated; however, the interface is easier (click, drag, release), which can be useful for younger or disabled children.

--uppercase --mixedcase
    In uppercase mode, all text prompts and the Text drawing tool will display only uppercase letters. This is useful for children who are not yet comfortable with the lowercase characterset. Default mode is mixed case.

--grab --nograb
    Grab the mouse and keyboard input (if possible), so that the mouse is confined to the Tux Paint window. Default is to not grab.

--noshortcuts --shortcuts
    If noshortcuts mode, keyboard shortcuts (e.g., Ctrl+S for Save) will be disabled. Default mode is shortcuts enabled.

--nowheelmouse --wheelmouse
    By default, the wheel (jog dial) on a mouse will be used to scroll the selector on the right of the screen. This can be disabled, and the wheel completely ignored, with the --nowheelmouse option. This is useful for children who aren't yet comfortable with the mouse. Default is to support the wheel.

--nobuttondistinction --buttondistinction
    By default, only mouse button #1 (typically the leftmost mouse button on mice with more than one button) can be used for interacting with Tux Paint. With the --nobuttondistinction option, mouse buttons #2 (middle) and #3 (right) can be used, as well. This is useful for children who aren't yet comfortable with the mouse. Default is to only recognize button #1.

--nofancycursors --fancycursors
    Disable or enable (default) the 'fancy' mouse pointer shapes in Tux Paint. While the shapes are larger, and context sensitive, some environments have trouble displaying the mouse pointer, and/or leave 'trails' on the screen.

--hidecursor --showcursor
    Completely hide, or enable (default) the mouse pointer in Tux Paint. This can be useful on touchscreen devices, such as tablet PCs.

--nooutlines --outlines
    In nooutlines mode, much simpler outlines and 'rubber-band' lines are displayed when using the Lines, Shapes, Stamps and Eraser tools. (This can help when Tux Paint is run on slower computers, or displayed on a remote X display.)

--nostamps --stamps
    With nostamps set, Rubber Stamp images are not loaded, so the Stamps tool will not be available. This option can be used to reduce the time Tux Paint takes to load, and reduce the amount of RAM it requires.

--nostampcontrols --stampcontrols
    Disable or enable (default) buttons to control stamps. Controls include mirror, flip, shrink and grow. (Note: Not all stamps will be controllable in all ways.)

--nomagiccontrols --magiccontrols
    Disable or enable (default) buttons to control Magic tools. Controls include controlling whether a Magic tool is used like a paint brush, or if it affects the entire image at once. (Note: Not all Magic tools will be controllable.)

--mirrorstamps --dontmirrorstamps
    With mirrorstamps set, stamps which can be mirrored will appear mirrored by default. This can be useful when used by people who prefer things right-to-left over left-to-right. --stampsize=size --stampsize=default Sets the default size of all stamps, relative to their possible sizes (determined by Tux Paint, based on the dimensions of both the stamps themselves, and the drawing canvas). Valid values are from 0 (smallest) to 10 (largest). Use default to let Tux Paint choose (this is the default setting).

--keyboard --mouse
    The keyboard option lets the mouse pointer in Tux Paint be controlled with the keyboard. The arrow keys move the pointer. Spacebar acts as the mouse button.

--nosysfonts --sysfonts
    Tux Paint normally attempts to search for additional TrueType Fonts installed in common places on your system. If this causes trouble, or you'd prefer to only make fonts installed in Tux Paint's directory available, use the nosysfonts option to disable this feature.

--savedir DIR
    Specify where Tux Paint should save files.

--datadir DIR
    Specify where Tux Paint should look for personal data files (brushes, stamps, etc.).

--saveover --saveovernew --saveoverask
    If, when saving a picture, an older version of the file will be overwritten, Tux Paint will, by default, ask for confirmation: either save over the old file, or create a new file. This prompt can be disabled with --saveover (which always saves over older versions of pictures) or --saveovernew (which always saves a new file). The default is to prompt (--saveoverask).

--nosave --save
    The nosave option disables Tux Paint's ability to save files. This can be used in situations where the program is only being used for fun, or in a test environment.

--autosave --noautosave
    The autosave option prevents Tux Paint from asking whether you want to save the current picture when quitting, and assumes you do.

--startblank --startlast
    When you start Tux Paint, it loads the last image that was being worked on. The --startblank option disables this, so it always starts with a blank canvas. The default behavior is --startlast.

--colorfile FILE
    This option allows you to override the default color palette in Tux Paint and replace it with your own. The file should be a plain ASCII text file containing one color description per line. Colors may be in decimal or 6- or 3-digit hexadecimal, and followed by a description. (For example, "#000 Black" and "255 192 64 Orange".)

OPTIONS - LANGUAGE
Various parts of Tux Paint have been translated into numerous languages. Tux Paint will try its best to honor your locale setting (i.e., the LANG environment variable), if possible. You can also specifically set the language using options on the command-line or in a configuration file.

--locale LOCALE
    Specify the language to use, based on locale name (which is typically of the form language[_territory][.codeset][@modifier], where language is an ISO 639 language code, territory is an ISO 3166 country code, and codeset is a character set or encoding identifier like ISO-8859-1 or UTF-8.)

    For example, de_DE@euro for German, or pt_BR for Brazilian Portuguese.

--lang LANGUAGE
    Specify the language to use, based on the language's name (as recognized by Tux Paint). Choose one of the language names listed below:

    -   english | american-english
    -   afrikaans
    -   albanian
    -   arabic
    -   asturian
    -   azerbaijani
    -   australian-english
    -   basque | euskara
    -   belarusian | bielaruskaja
    -   bokmal
    -   brazilian-portuguese | portuges-brazilian | brazilian
    -   breton | brezhoneg
    -   british | british-english
    -   bulgarian
    -   canadian-english
    -   catalan | catala
    -   chinese | simplified-chinese
    -   croatian | hrvatski
    -   czech | cesky
    -   danish | dansk
    -   dutch
    -   esperanto
    -   estonian
    -   faroese
    -   finnish | suomi
    -   french | francais
    -   gaelic | irish-gaelic | gaidhlig
    -   galician | galego
    -   georgian
    -   german | deutsch
    -   greek
    -   gronings | zudelk-veenkelonioals
    -   gujarati
    -   hebrew
    -   hindi
    -   hungarian | magyar
    -   icelandic | islenska
    -   indonesian | bahasa-indonesia
    -   italian | italiano
    -   japanese
    -   kinyarwanda
    -   khmer
    -   klingon | tlhIngan
    -   korean
    -   kurdish
    -   latvian
    -   lithuanian | lietuviu
    -   macedonian
    -   malay
    -   mexican-spanish | espanol-mejicano | mexican
    -   ndebele
    -   norwegian | nynorsk
    -   occitan
    -   ojibway
    -   polish | polski
    -   portuguese | portugues
    -   romanian
    -   russian | russkiy
    -   scottish | scottish-gaelic | ghaidhlig
    -   serbian
    -   shuswap | secwepemctin
    -   slovak
    -   slovenian | slovensko
    -   songhay
    -   southafrican-english
    -   spanish | espanol
    -   swahili
    -   swedish | svenska
    -   tagalog
    -   tamil
    -   telugu
    -   thai
    -   tibetan
    -   traditional-chinese
    -   turkish
    -   twi
    -   ukranian
    -   venda
    -   vietnamese
    -   walloon
    -   welsh | cymraeg
    -   wolof
    -   xhosa
    -   zapoteco

--lang help
    Display a lists of all supported languages.

OPTIONS - MISCELLANEOUS

--nosysconfig
    With this option, Tux Paint will not attempt to read the system-wide configuration file (typically /etc/tuxpaint/tuxpaint.conf).

--nolockfile
    By default, Tux Paint uses a lockfile (stored in the user's local Tux Paint directory) which prevents it from being launched more than once in 30 seconds. (Sometimes children get too eager, or user interfaces only require one click, but users think they need to double-click.) This option makes Tux Paint ignore the current lockfile.

ENVIRONMENT
While Tux Paint may refer to a number of environment variables indirectly (e.g., via SDL(3)), it only directly accesses the following:

HOME
    to determine where picture files go when using the Save and Open commands within Tux Paint, to keep track of the current image, when quitting and restarting Tux Paint, and to get the user's configuration file.

LANG
    to determine langauge to use, if setlocale(3) refers to 'LC_MESSAGES'.

FILES

/etc/tuxpaint/tuxpaint.conf
    System-wide configuration file. It is read first (unless the --nosysconfig option was given on the command-line).

    (Created during installation.)

$HOME/.tuxpaintrc
    User's configuration file. It can be used to set default options (rather than setting them on the command-line every time), and/or to override any settings in the system-wide configuration file.

    (Not created or edited automatically; must be created manually. You can do this by hand, or use 'Tux Paint Config..')

$HOME/.tuxpaint/saved/
    A directory of previously-saved images (and thumbnails). Only files in this directory will be made available using the Open command within Tux Paint. (See tuxpaint-import(1).)

    (Created when Save command is used.)

$HOME/.tuxpaint/current_id.txt
    A reference to the image which was being edited when Tux Paint was last quit. (This image is automatically loaded the next time Tux Paint is re-run.)

    (Created when Tux Paint is Quit.)

$HOME/.tuxpaint/lockfile.dat
    A lockfile that prevents Tux Paint from being launched more than once every 30 seconds. Disable checking the lockfile by using the '--nolockfile' command-line argument.

    (There's no reason to delete the lockfile, as it contains a timestamp inside which causes it to expire after 30 seconds.)

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

OTHER INFO
The canonical place to find Tux Paint information is at http://www.tuxpaint.org/.

AUTHORS
Bill Kendrick. <bill@newbreedsoftware.com> With patches, fixes, extensions, translation, documentation and more from lots of people, including, but not limited to: Khalid Al Holan, Daniel Andersson, Joana Portia Antwi-Danso, Adorilson Bezerra de Araujo, Xandru Armesto, Ben Armstrong, Ravishankar Ayyakkannu, Dwayne Bailey, Martin Benjamin, Denis Bodor, Herman Bruyninckx, Lucie Burianova, Laurentiu Buzdugan, Albert Cahalan, Pere Pujal Carabantes, Ouychai Chaita, Wei-Lun Chao, Jacques Chion, Abdoul Cisse, Urska Colner, Adam 'akanewbie' Corcoran, Helder Correia, Ricardo Cruz, Laurent Dhima, Yavor Doganov, Dawa Dolma, Kevin Donnelly, Alberto Escudero-Pascual, Jamil Farzana, Doruk Fisek, Dovix, Korvigellou An Drouizig (Philippe), Fabian Franz, Martin Fuhrer, Gabriel Gazzan, Torsten Giebl, Robert Glowczynski, Chris Goerner, Mikel González, The Greek Linux i18n Team, Edmund GRIMLEY EVANS, Frederico Goncalves Guimaraes, Joe Hanson, Sam "Criswell" Hart, Guy Hed, Tedi Heriyanto, Pjetur G. Hjaltason, Knut Erik Hollund, Khaled Hosny, Henry House, Mohomodou Houssouba, Song Huang, Karl Ove Hufthammer, Roland Illig, Juan Irigoien, Dmitriy Ivanov, Mogens Jaeger, Lis Gøthe í Jákupsstovu, Nedjeljko Jedvaj, Aleksandar Jelenak, Rasmus Erik Voel Jensen, Wang Jian, Amed Ç. Jiyan, Petri Jooste, Richard June, Andrej Kacian, Thomas Kalka, Jorma Karvonen, Kazuhiko, Gabor Kelemen, Mark Kim, Thomas Klausner, Koby, Marcin 'Shard' Konicki, Ines Kovacevic, Mantas Kriauciunas, Freek de Kruijf, Andrzej M. Krzysztofowicz, Serafeim Kyriaki, Matthew Lange, Niko Lewman, Arkadiusz Lipiec, Ricky Lontoc, Dag H. Loras, Burkhard Luck, Vincent Mahlangu, Ankit Malik, Neskie Manuel, Fred Ulisses Maranhao, Yannig MARCHEGAY (Kokoyaya), Jorge Mariano, Martin, Marco Milanesi, Sergio Marques, Kartik Mistry, Mugunth, Steve Murphy, Samuel Murray (Groenkloof), Shumani Mercy Nehulaudzi, Mikkel Kirkgaard Nielsen, Alesis Novik, Daniel Nylander, Gareth Owen, Sorin Paliga, Yannis Papatzikos, Nikolay Parukhin, Alessandro Pasotti, Flavio Pastor, Patrick, Primoz Peterlin, Le Quang Phan, Henrik Pihl, Auk Piseth, Pablo Pita, Milan Plzik, Sergei Popov, John Popplewell, Rodrigo Perez Ramirez and Indigenas Sin Fronteras, Adam 'foo-script' Rakowski, Leandro Regueiro, Simona Riva, Robin Rosenberg, Ilir Rugova, Jaroslav Rynik, Bert Saal, Samuel Sarpong, Kevin Patrick Scannell, Pavithran Shakamuri, Gia Shervashidze, Clytie Siddall, Kliment Simoncev, Sokratis Sofianopoulos, Khoem Sokhem, Geert Stams, Peter Sterba, Raivis Strogonovs, Tomasz 'karave' Tarach, Michal Terbert, Ignacia Tike, Tilo, Tarmo Toikkanen, TOYAMA Shin-ichi, Niall Tracey, tropikhajma, Matej Urban, Rita Verbauskaite, Daniel Jose Viana, Charles Vidal, Darrell Walisser, Damian Yerrick, Muhammad Najmi Ahmad Zabidi, Eugene Zelenko, Martin Zhekov, and Huang Zuzhen.

SEE ALSO
tuxpaint-import(1), tuxpaint-config(1), tp-magic-config(1), xpaint(1), gpaint(1), gimp(1), kolourpaint(1), krita(1), gcompris(1)

And documentation within /usr/[local/]share/doc/tuxpaint/.